package cn.axzo.msg.center.api.fallback;

import cn.axzo.msg.center.api.InsideMessageModuleApi;
import cn.axzo.msg.center.api.request.CreateModuleReq;
import cn.axzo.msg.center.api.request.SearchModuleReq;
import cn.axzo.msg.center.api.request.SyncModuleDataReq;
import cn.axzo.msg.center.api.request.UpdateModuleReq;
import cn.axzo.msg.center.api.response.CommonPlatManagerRes;
import cn.axzo.msg.center.api.response.MessageModuleRes;
import cn.axzo.msg.center.api.response.ModuleGroupByNameResponse;
import cn.axzo.msg.center.api.response.SyncModuleDataRes;
import cn.azxo.framework.common.model.CommonResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
@Slf4j
public class InsideMessageModuleApiFallBack implements InsideMessageModuleApi {

    @Override
    public CommonResponse<Map<Long, String>> getModules(Integer identityType) {
        return null;
    }

    @Override
    public CommonResponse<CommonPlatManagerRes> listModules(Integer identityType) {
        return null;
    }

    @Override
    public CommonResponse<CommonPlatManagerRes> pageModules(SearchModuleReq req) {
        return null;
    }

    @Override
    public CommonResponse<String> addModule(CreateModuleReq dto) {
        return null;
    }

    @Override
    public CommonResponse<String> updateModule(UpdateModuleReq dto) {
        return null;
    }

    @Override
    public CommonResponse<Void> deleteModule(Long id) {
        return null;
    }

    @Override
    public CommonResponse<List<SyncModuleDataRes>> findModuleByIds(List<Long> ids) {
        return null;
    }

    @Override
    public CommonResponse<List<MessageModuleRes>> listModuleByUserType(Integer identityType) {
        return null;
    }

    @Override
    public CommonResponse<Void> syncData(List<SyncModuleDataReq> dtoList) {
        return null;
    }

    @Override
    public CommonResponse<List<ModuleGroupByNameResponse>> listModulesGroupByName() {
        return null;
    }
}
